MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002709VCMIMechanics - Adventure Mappublic2017-07-05 01:162017-09-11 10:13
Reportercatalina 
Assigned ToSXX 
PrioritylowSeveritycrashReproducibilityunable to reproduce
StatusresolvedResolutionfixed 
PlatformmacOSOSOS Version10.12.5
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002709: crash when attempting to enter town with 0 movement
DescriptionDisembarked from a ship, then double-clicked on an enemy town. Crash log: https://gist.github.com/anonymous/3e2c55cb3d3e3e1828cf91bb7685a3a6 [^]
Steps To ReproduceLoading the autosave and attempting to reproduce failed; the game didn't crash.
TagsNo tags attached.
Attached Files? file icon Autosave_2.vcgm1 [^] (5,941,928 bytes) 2017-09-04 16:53
? file icon Autosave_2.vsgm1 [^] (5,940,602 bytes) 2017-09-04 16:53

- Relationships

-  Notes
(0007256)
catalina (reporter)
2017-09-04 16:54

Finally got a save where it reproduces reliably.

Take Hercules, land next to the Ogre Magi to the northeast. They'll join you. Then double-click on the gem pond.

Logs: https://gist.github.com/dunn/6abeb825a90dcbca533ebd5be6ec600d [^]
(0007257)
AVS (administrator)
2017-09-04 17:16

Can not reproduce.
(0007258)
catalina (reporter)
2017-09-04 17:28

On macOS?
(0007259)
AVS (administrator)
2017-09-04 17:57

No on windows, but problem is that I can not get close enough gem pond.
(0007276)
SXX (administrator)
2017-09-10 21:28

This one supposedly should fix crashes like that:
https://github.com/vcmi/vcmi/pull/377 [^]

At least this is the code that often caused crashes when movement points are 0.
(0007277)
SXX (administrator)
2017-09-11 10:13

So I really passed that map twice by cheats and just by "playing" killing everyone. I think Mac build is stable now.

- Issue History
Date Modified Username Field Change
2017-07-05 01:16 catalina New Issue
2017-09-04 16:53 catalina File Added: Autosave_2.vcgm1
2017-09-04 16:53 catalina File Added: Autosave_2.vsgm1
2017-09-04 16:54 catalina Note Added: 0007256
2017-09-04 17:16 AVS Note Added: 0007257
2017-09-04 17:28 catalina Note Added: 0007258
2017-09-04 17:57 AVS Note Added: 0007259
2017-09-10 21:28 SXX Note Added: 0007276
2017-09-11 10:13 SXX Note Added: 0007277
2017-09-11 10:13 SXX Status new => resolved
2017-09-11 10:13 SXX Fixed in Version => 0.next
2017-09-11 10:13 SXX Resolution open => fixed
2017-09-11 10:13 SXX Assigned To => SXX

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean